> For the complete documentation index, see [llms.txt](https://learnpython.strivemath.com/p5-python-web/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://learnpython.strivemath.com/p5-python-web/reference/controlling-the-environment/coordinatemode.md).

# coordinateMode()

### Examples

```python
coordinateMode(TOP_LEFT)
```

![](/files/1XJZD2HyHs7wkGwKmX2y)

```python
coordinateMode(BOTTOM_LEFT)
```

![](/files/qXML4XB5Z5CXeP0nEyEq)

Sets the coordinate mode to TOP\_LEFT or BOTTOM\_LEFT. Coordinate mode is set to BOTTOM\_LEFT by default. BOTTOM\_LEFT mode mimics the standard mathematical setup where coordinate (0,0) is in the bottom left and the y-axis increases upwards.

```python
coordinateMode(MODE)
```

<table><thead><tr><th width="109">Input</th><th width="265">Description</th><th>Value(s)</th><th>Default</th></tr></thead><tbody><tr><td>MODE</td><td>coordinate mode to be set</td><td>TOP_LEFT<br>BOTTOM_LEFT</td><td>BOTTOM_LEFTpy</td></tr></tbody></table>

see [drawTickAxes](/p5-python-web/reference/math/drawtickaxes.md) for more info.

{% hint style="info" %}
Find these documents helpful? Let the people who made them help your child learn to code at [**Strivemath**](https://www.strivemath.com/)<mark style="color:blue;">**!**</mark>

We'd love to hear your Feedback/Comments [here](https://docs.google.com/forms/d/e/1FAIpQLSeqorBAGTya-YBRI-VFjJxtgQtCz3ucGDI96K96sNyuaGuvdw/viewform?usp=sf_link).
{% endhint %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://learnpython.strivemath.com/p5-python-web/reference/controlling-the-environment/coordinatemode.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
